(* Listsort *)

val sort   : ('a * 'a -> ordering) -> 'a list -> 'a list
val sorted : ('a * 'a -> ordering) -> 'a list -> bool

(* [sort ordr xs] sorts the list xs in nondecreasing order, using the
   given ordering.  Uses Richard O'Keefe's smooth applicative merge
   sort.

   [sorted ordr xs] checks that the list xs is sorted in nondecreasing
   order, in the given ordering.
*)
