(* test/auxil.sml -- Auxiliary functions for test cases *)

infix 1 seq
fun e1 seq e2 = e2;
fun say s = (output(std_out, s); flush_out std_out);
fun check b = if b then "OK" else "WRONG";
fun check' f = (if f () then "OK" else "WRONG") handle _ => "EXN";

fun range (from, to) p = 
    let open Integer 
    in
	(from > to) orelse (p from) andalso (range (from+1, to) p)
    end;

fun checkrange bounds = check o range bounds;

