(* Miscnj93 -- 1995-02-24 
   Only those functions compatible with the SML/NJ 0.93 initial environment.
 *)

(* These functions really belong in General, but can appear there only 
   if defined in the runtime system.  So for now they are here.
 *)

val o : ('b -> 'c) * ('a -> 'b) -> 'a -> 'c
val before : ('a * unit) -> 'a

val str     : char -> string

val @       : 'a list * 'a list -> 'a list
val length  : 'a list -> int 
val map     : ('a -> 'b) -> 'a list -> 'b list
val null    : 'a list -> bool
val rev     : 'a list -> 'a list 

val vector  : 'a list -> 'a vector
