(* Strbase -- internal auxiliaries for String and Substring 1995-04-13 *)

local 
    type substring = string * int * int
in 
    val maxlen    : int
    val dropl     : (char -> bool) -> substring -> substring
    val dropr     : (char -> bool) -> substring -> substring
    val takel     : (char -> bool) -> substring -> substring
    val taker     : (char -> bool) -> substring -> substring
    val splitl    : (char -> bool) -> substring -> substring * substring
    val splitr    : (char -> bool) -> substring -> substring * substring
	
    val translate : (char -> string) -> substring -> string
	
    val tokens    : (char -> bool) -> substring -> substring list
    val fields    : (char -> bool) -> substring -> substring list

    val foldl     : (char * 'a -> 'a) -> 'a -> substring -> 'a
end
