(* test/stringcvt.sml -- sketch *)

use "auxil.sml";

local 
    open StringCvt
in

val test1 = 
    check'(fn _ =>
	   padLeft #"#" 0 "abcdef" = "abcdef"
	   andalso padLeft #"#" 6 "abcdef" = "abcdef"
	   andalso padLeft #"#" 7 "abcdef" = "#abcdef"
	   andalso padLeft #"#" 10 "abcdef" = "####abcdef"
	   andalso padLeft #"#" ~3 "abcdef" = "abcdef");

val test2 = 
    check'(fn _ =>
	   padRight #"#" 0 "abcdef" = "abcdef"
	   andalso padRight #"#" 6 "abcdef" = "abcdef"
	   andalso padRight #"#" 7 "abcdef" = "abcdef#"
	   andalso padRight #"#" 10 "abcdef" = "abcdef####"
	   andalso padRight #"#" ~3 "abcdef" = "abcdef");
end
